Summary:     Instant Messaging and XML Platform
Name:        jabber2
Version:     2.0s9
Release:     4.pp
License:     GPL
Group:       Environment/Daemons
Source0:     http://jabberstudio.org/projects/jabberd2/releases/jabberd-%{version}.tar.gz
Source1:     jabberd2.init
Patch0:      jabberd-2.0s9-jabberd.patch
URL:         http://www.%{name}.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Jabber Software Foundation
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc libidn openssl097 mysql db4 >= 4.2 openldap22 pam
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig /sbin/chkconfig /usr/sbin/groupadd
Prereq:      /usr/sbin/useradd
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel libidn-devel openssl097-devel mysql-devel db4-devel >= 4.2
BuildPrereq: openldap22-devel pam-devel


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

Jabberd 2 is the next generation of the jabberd server.
It has been rewritten from the ground up to be scalable,
architecturally sound, and to support the latest protocol
extensions coming out of the JSF.


%prep
%setup -q -n jabberd-%{version}
%patch0 -p1
pushd c2s
patch -p1 < ../contrib/patch-flash-v3rc1
popd


%build
export CPPFLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
export LDFLAGS="-L/usr/lib/mysql -L/usr/kerberos/lib"
./configure \
	--prefix=/usr/jabber2   \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-debug          \
	--enable-shared         \
	--enable-static         \
	--enable-idn            \
	--enable-ssl            \
	--enable-mysql          \
	--enable-ldap           \
	--enable-db             \
	--enable-pam            \
	--enable-pipe           \
	--enable-anon           \
	--enable-fs
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/var/jabberd/{db,log,pid}
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd2
mv $RPM_BUILD_ROOT/usr/jabber2/bin/jabberd \
	$RPM_BUILD_ROOT/usr/jabber2/bin/jabberd2
mv $RPM_BUILD_ROOT/usr/share/man/man8/jabberd.8 \
	$RPM_BUILD_ROOT/usr/share/man/man8/jabberd2.8


%pre
if ! grep jabber2 /etc/group > /dev/null 2>&1; then
   /usr/sbin/groupadd jabber2 > /dev/null 2>&1
fi
if ! grep jabber2 /etc/passwd > /dev/null 2>&1; then
   /usr/sbin/useradd -g jabber2 -G jabber2 -d /var/jabberd \
	-r -s /dev/null jabber2 > /dev/null 2>&1
fi


%post
/sbin/chkconfig --add jabberd2
/sbin/chkconfig jabberd2 on
if [ -s /etc/jabberd/jabberd.cfg ]; then
  if [ -f /var/lock/subsys/jabberd2 ]; then
    /etc/rc.d/init.d/jabberd2 restart
  fi
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd2 off
  /sbin/chkconfig --del jabberd2
  if [ -f /var/lock/subsys/jabberd2 ]; then
    /etc/rc.d/init.d/jabberd2 stop
  fi
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PROTOCOL
%doc README* TODO tools/db-* tools/*.pl
%dir %attr(750,root,jabber2) /etc/jabberd
%config(noreplace) %attr(640,root,jabber2) /etc/jabberd/*.cfg
%config(noreplace) %attr(640,root,jabber2) /etc/jabberd/*.xml
/etc/jabberd/*.dist
%dir %attr(750,root,jabber2) /etc/jabberd/templates
%config(noreplace) %attr(640,root,jabber2) /etc/jabberd/templates/*.xml
/etc/jabberd/templates/*.dist
%config /etc/rc.d/init.d/*
%dir /usr/jabber2
%dir /usr/jabber2/bin
/usr/jabber2/bin/*
/usr/share/man/man8/*
%dir %attr(750,jabber2,jabber2) /var/jabberd
%dir %attr(750,jabber2,jabber2) /var/jabberd/db
%dir %attr(750,jabber2,jabber2) /var/jabberd/log
%dir %attr(750,jabber2,jabber2) /var/jabberd/pid


%changelog
* Tue Jul 26 2005 peter.pramberger@member.fsf.org
- new version 2.0s9

* Fri Jul 15 2005 peter.pramberger@member.fsf.org
- created

